//
//  LVIMMediaMessage.h
//  CMIMLib
//
//  Created by 鹿容 on 2021/10/12.
//  Copyright © 2021 cmcm. All rights reserved.
//

#import "LVIMMessage.h"

NS_ASSUME_NONNULL_BEGIN

@interface LVIMMediaMessage : LVIMMessage

//是否需要在多媒体文件上传之前就存入数据库,默认为NO
@property (nonatomic,assign)BOOL needSaveToDB;

-(void)uploadFilesWithProgress:(LVIM_PROGRESS_CALLBACK)progressCallback complete:(LVIM_DOWNLOAD_CALLBACK)uploadCallback;

-(void)updateMediaData;

-(instancetype)initWithIMMessage:(LVIMMessage *)message;

@end

NS_ASSUME_NONNULL_END
