/**
 * @className：lv_im_audio_msg
 * @description: [功能描述]
 * @author baipeng
 */

import 'package:flutter/material.dart';

import 'lv_im_msg.dart';

class LVIMAudioMsg extends LVIMMsg {
  //是否保存数据库
  int needSaveToDB;

  //消息内容
  var audioData;

  //时间
  String duration;

  //音频文件json
  Map audioFile;

  void convertFromMap(dynamic args) {
    super.convertFromMap(args);
    this.needSaveToDB = args["needSaveToDB"];
    this.audioData = args["audioData"];
    this.duration = args["duration"];
    this.audioFile = args["audioFile"];
  }

  Map<dynamic, dynamic> toMap() {
    Map map = super.toMap();
    map.addAll({
      "needSaveToDB": needSaveToDB == null ? 0 : needSaveToDB,
      "fromID": audioData == null ? null : audioData,
      "duration": duration == null ? 0.0 : duration,
      "audioFile": audioFile == null ? {} : audioFile
    });
    return map;
  }
}
