/**
 * @className：lv_im_video_msg
 * @description: [功能描述]
 * @author baipeng
 */

import 'package:flutter/material.dart';

import 'lv_im_msg.dart';

class LVIMVideoMsg extends LVIMMsg {
  //是否保存数据库
  int needSaveToDB;

  //视频分辨率
  String videoSize;

  //视频key及地址等信息
  Map videoFile;

  //时间
  String duration;

  //图片
  String image;

  //图片大小
  String imageSize;

  //缩略图图片
  String thumbnailImage;

  //缩略图图片大小
  String thumbnailImageSize;

  //图片key及地址等信息
  Map imageFile;

  //缩略图图片key及地址等信息
  Map thumbnailImageFile;

  void convertFromMap(dynamic args) {
    super.convertFromMap(args);
    this.needSaveToDB = args["needSaveToDB"];
    this.videoSize = args["videoSize"];
    this.videoFile = args["videoFile"];
    this.duration = args["duration"];
    this.image = args["image"];
    this.imageSize = args["imageSize"];
    this.thumbnailImage = args["thumbnailImage"];
    this.thumbnailImageSize = args["thumbnailImageSize"];
    this.imageFile = args["imageFile"];
    this.thumbnailImageFile = args["thumbnailImageFile"];
  }

  Map<dynamic, dynamic> toMap() {
    Map map = super.toMap();
    map.addAll({
      "needSaveToDB": needSaveToDB == null ? 0 : needSaveToDB,
      "image": videoSize == null ? null : videoSize,
      "image": videoFile == null ? {} : videoFile,
      "image": duration == null ? 0.0 : duration,
      "image": image == null ? null : image,
      "imageSize": imageSize == null ? null : imageSize,
      "thumbnailImage": thumbnailImage == null ? null : thumbnailImage,
      "thumbnailImageSize":
          thumbnailImageSize == null ? null : thumbnailImageSize,
      "imageFile": imageFile == null ? {} : imageFile,
      "thumbnailImageFile": thumbnailImageFile == null ? {} : thumbnailImageFile
    });
    return map;
  }
}
